summaryrefslogtreecommitdiff
path: root/pcr/python2-carrot
diff options
context:
space:
mode:
authoraurelien <tek@localhost.localdomain>2012-11-24 09:24:52 +0100
committeraurelien <tek@localhost.localdomain>2012-11-24 09:24:52 +0100
commit0a9a064dde6943f5ce78d9eb03f403326cd5b4ef (patch)
tree950bd3f3cc003ab3cb8384d1a60476035f307a29 /pcr/python2-carrot
parent13e7da299d6c1d313b32309f5737d887212b7d4c (diff)
glance nova python2-amqplib python2-carrot python2-daemon python2-eventlet python2-iso8601 python2-kombu python2-netaddr python2-passlib python2-pkgtools python2-sendfile python2-suds python2-webob pyt
hon-anyjson python-paste-deploy python-paste python-repoze.lru python-routes python-wsgiref python-xattr
Diffstat (limited to 'pcr/python2-carrot')
-rw-r--r--pcr/python2-carrot/PKGBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/pcr/python2-carrot/PKGBUILD b/pcr/python2-carrot/PKGBUILD
new file mode 100644
index 000000000..b620eca9e
--- /dev/null
+++ b/pcr/python2-carrot/PKGBUILD
@@ -0,0 +1,21 @@
+# Contributor: Lukas Linhart <bugs@almad.net>
+# Contributor: Marco Elver <marco.elver AT gmail.com>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.IO>
+
+pkgname=python2-carrot
+pkgver=0.10.5
+pkgrel=1
+pkgdesc="AMQP Messaging Framwork for Python"
+arch=('any')
+url='http://ask.github.com/carrot/'
+license=('BSD')
+depends=('python2' 'python2-amqplib')
+makedepends=('setuptools')
+source=("http://pypi.python.org/packages/source/c/carrot/carrot-$pkgver.tar.gz")
+options=(!emptydirs)
+
+build() {
+ cd ${srcdir}/carrot-$pkgver
+ python2 setup.py install --root=$pkgdir/ --optimize=1 || return 1
+}
+